Bug 181794 - kernel-2.6.15-1.1831_FC4 won't boot ata drive system
kernel-2.6.15-1.1831_FC4 won't boot ata drive system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 11:48 EST by Bevan Bennett
Modified: 2008-02-05 08:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bevan Bennett 2006-02-16 11:48:27 EST
Description of problem:
Newer systems won't boot under kernel-2.6.15-1.1831_FC4, "ata1 failed to respond
(30 secs) ... No volume groups found"

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1831_FC4

How reproducible:
Can reproduce every time on several Dell Precision 380n desktops.

Steps to Reproduce:
1. Standard install on an ata-based system
2. Install kernel 2.6.15-1.1831_FC4
3. Reboot and select the new kernel
  
Actual results:
Kernel loads from disk..
Red Hat nash 4.2.15 starting
ata1 failed to respond (30 secs)
Reading all physical volumes...
No volume groups found
...
System hang.

Expected results:
Kernel loads from disk..
Red Hat nash 4.2.15 starting
Reading all physical volumes...
Volume group VolGroup00 found...
system boots

Additional info:
System boots correctly with:
kernel-2.6.14-1.1656_FC4
kernel-2.6.15-1.1830_FC4
kernel-2.6.15-1.1831_FC4smp
Comment 1 Bevan Bennett 2006-02-16 11:55:06 EST
(In reply to comment #0)
On more consistant checking, the system does NOT boot under
kernel-2.6.15-1.1830_FC4 either. 1830 is more verbose, but still ends in the
switchroot failing and the kernel panicing.

Comments included "ata1 may be slow to come up", but they scroll by quickly.
Comment 2 Dave Jones 2006-09-16 22:37:56 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 17:38:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 17:10:08 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 5 Jon Stanley 2008-02-05 08:35:02 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.